:root {
    --app-height: 100vh;
}

.humber {
    position: fixed;
    top: 5%;
    left: 2%;
    width: 46px;
    height: 17px;
    z-index: 1003;
    cursor: pointer;
}

.humber::before,
.humber::after {
    content: '';
    width: 100%;
    height: 1px;
    background-color: #fff;
    transition: all .5s ease-in-out;
}

.humber::before {
    position: absolute;
    top: 10%;
    left: 0%;
}

.humber::after {
    position: absolute;
    bottom: 10%;
    left: 0%;
}

.humber:hover::before {
    top: -5%;
}

.humber:hover::after {
    bottom: -5%;
}

.humber.active::before {
    top: 50%;
}

.humber.active::after {
    bottom: 50%;
}

.humber.active:hover::before {
    transform: translateY(-50%) rotate(45deg);
}

.humber.active:hover::after {
    transform: rotate(-45deg);
}

.navbar {
    position: fixed;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100vh;
    background-color: rgb(15, 44, 65);
    z-index: 1002;
    padding: 5% 10%;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: space-between;
    transform: translateX(-100%);
    transition: transform 1s ease-in-out;
}

.navbar.show {
    transform: translate(0%);
    transition: transform 1s ease-in-out;
}

.navbar .row {
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
}

.topArea {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    -webkit-justify-content: space-between;
    -webkit-align-items: flex-start;
}

.bottomArea {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    -webkit-justify-content: space-between;
    -webkit-align-items: flex-end;
}

.topArea .meidaIcon .icon {
    width: 3vw;
    opacity: .6;
    transition: opacity .5s ease-in-out;
}

.topArea .meidaIcon .icon:hover {
    opacity: 1;
    transition: opacity .5s ease-in-out;
}

.navbar .nav-link {
    margin-bottom: 11.9%;
    padding: 0;
    border-left: 4px solid transparent;
    padding-left: 35px;
    transition: all .5s ease-in-out;
}

.navbar .nav-link:last-child {
    margin-bottom: 0%;
}

.navbar .nav-link:hover {
    border-left: 4px solid #d7ec66;
    transition: all .5s ease-in-out;
}

.normal-color {
    font-size: 1.875rem;
    letter-spacing: 12px;
    line-height: 100%;

    /* 默认：白→目标色 */
    --grad: linear-gradient(to right,
            #fff 0%,
            #fff 40%,
            /* 白色區塊 */
            #f2f2f2 50%,
            /* 手動中間色（看起來會漸變） */
            var(--target-color) 60%,
            /* 目標色開始 */
            var(--target-color) 100%);

    background-image: var(--grad);
    background-size: 200% 100%;
    background-position: 0 0;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* enter 动画：0 → -100 */
@keyframes enter {
    from {
        background-position: 0 0;
    }

    to {
        background-position: -100% 0;
    }
}

/* leave 动画：0 → -100 */
@keyframes leave {
    from {
        background-position: 0 0;
    }

    to {
        background-position: -100% 0;
    }
}

.enter {
    animation: enter 0.6s ease forwards;
}

.leave {
    animation: leave 0.6s ease forwards;
}

.navbar .logo {
    width: 11.5vw;
}

.infoArea {
    border-left: 1px solid #d7ec66;
    padding-left: 5%;
}

.infoArea h3.infotitle {
    color: #d7ec66;
    font-weight: normal;
    font-family: "Roboto", sans-serif;
    letter-spacing: 2px;
    margin-bottom: 5%;
}

.infoArea p,
.infoArea span,
.infoArea a {
    letter-spacing: 6.4px;
    color: #fff;
}

.infoArea .infobox {
    display: flex;
    flex-wrap: nowrap;
    align-items: flex-start;
    -webkit-align-items: flex-start;
    width: 38vw;
}

.infoArea .infobox .infolist:first-child {
    margin-right: 26.304%;
}

.infoArea .infobox .infolist .info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 5%;
}

.bottomArea .logo {
    margin-right: 1.5%;
}

@media screen and (max-width: 768px) {
    .navbar {
        height: var(--app-height);
        /* 👈 改這個 */

        overflow-y: auto;
        -webkit-overflow-scrolling: touch;

        padding: calc(25% + env(safe-area-inset-top)) 4% calc(5% + env(safe-area-inset-bottom));
    }

    .navbar .logo {
        width: 23.4vw;
        margin: 0 auto;
        margin-right: 6%;
    }

    .humber {
        top: 5%;
        left: 5%;
        width: 18px;
        height: 9px;
    }

    .normal-color {
        font-size: 1.25rem;
        letter-spacing: 0.4em;
    }

    .topArea .meidaIcon .icon {
        width: 7.2vw;
    }

    .bottomArea {
        display: block;
    }

    .infoArea {
        padding-left: 0%;
        border-left: 0px;
    }

    .infoArea h3.infotitle {
        border-bottom: 1px solid #d7ec66;
        padding-bottom: 5%;
    }

    .infoArea .infobox {
        width: 100%;
        flex-direction: column;
        justify-content: space-between;
        -webkit-justify-content: space-between;
    }

    .bottomArea .infoArea p,
    .bottomArea .infoArea span,
    .bottomArea .infoArea a {
        font-size: 0.75rem;
        letter-spacing: 0.3em;
    }

    .infoArea .infobox .infolist {
        width: 100%;
    }

    .infoArea .infobox .infolist:first-child {
        margin-right: 0%;
    }

    .infoArea .infobox .infolist .info {
        justify-content: flex-start;
        padding-bottom: 2%;
        margin-bottom: 2%;
    }

    .infoArea .infobox .infolist .info span {
        width: 50%;
    }

    .infoArea .infobox .infolist .info span:first-child {
        width: 30%;
    }

    .infoArea .infobox .infolist .location span {
        width: 70%;
    }

    .infoArea .infobox .infolist .info img {
        width: 13% !important;
    }

    .infoArea .infobox .infolist .location img {
        width: 9% !important;
        margin-top: -1%;
    }
}